Subject: Re: bug#79182: 30.1; emacs becomes progressively less responsive up to become unusable

From: Francesco Potortì <[email-masked]>
Date: Wed, 06 Aug 2025 22:38:01 +0200

Michael Albinus:
>>>I recommend to lower tramp-verbose. At least down to 6, this is
>>>sufficient unless you hunt for Tramp bugs.
>>
>> Thank you Michael.  Yes, I set it to 4, down from 9 that I had before.
>> I now suspect that 9 includes all the file transfer including the
>> files' contents, is that the case?  I would use the highest number
>> that does not log file contents.  Is that 6?
>
>tramp-verbose 6 shows all sent commands and the received responses. In
>case of scp connections this includes file contents for files with a
>smaller size of tramp-copy-size-limit (10240 bytes).
>
>Do you really need Tramp debug buffers?

In fact, I have been looking at them in the past, when I could not understand what was going on with some bad connections.  So I'd like to be able to have a look in case of problems.  In fact, I have not done that for a long time by now.

By the way, would it make sense to put a limit on the number of lines in a debug Tramp buffer?